package com.xhpc.charging.station.mapper;

import com.xhpc.charging.station.dto.XhpcPlaceholderDto;
import com.xhpc.common.domain.XhpcPlaceholder;
import com.xhpc.common.domain.XhpcPlaceholderTime;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @Date 2025-04-22 22:32
 */
public interface XhpcPlaceholderMapper {

    List<Map<String, Object>> getXhpcPlaceholderList(@Param("params") Map<String, Object> params);

    Map<String,Object> getXhpcPlaceholderDetail(@Param("placeholderId")Long placeholderId);

    List<Map<String,Object>> getXhpcPlaceholderTimeList(@Param("placeholderId")Long placeholderId);

    int updateXhpcPlaceholder(XhpcPlaceholderDto xhpcPlaceholder);

    int updateXhpcPlaceholderTime(@Param("placeholderId")Long placeholderId);

    int insertXhpcPlaceholderTime(XhpcPlaceholderTime xhpcPlaceholderTime);

    int insertXhpcPlaceholder(XhpcPlaceholderDto xhpcPlaceholder);


    int getXhpcPlaceholderChargingStationId(@Param("chargingStationId")Long chargingStationId,@Param("type")Integer type,@Param("placeholderId")Long placeholderId);
}
